import{s as Tt,f as tt,n as bt,o as At}from"../chunks/scheduler.f6b352c8.js";import{S as Ct,i as Pt,g as o,s as l,r as wt,A as $t,h as a,f as n,c as s,j as _t,u as Mt,x as r,k as u,y as kt,a as i,v as yt,d as Lt,t as xt,w as Ht}from"../chunks/index.7f38e934.js";import{H as Et}from"../chunks/Heading.333929c4.js";import{E as It}from"../chunks/EditOnGithub.c3245a01.js";function qt(et){let m,k,P,E,p,I,g,nt,q,c,it="Welcome to this first unit, where <strong>you’ll build a solid foundation in the fundamentals of AI Agents</strong> including:",U,f,lt="<li><p><strong>Understanding Agents</strong></p> <ul><li>What is an Agent, and how does it work?</li> <li>How do Agents make decisions using reasoning and planning?</li></ul></li> <li><p><strong>The Role of LLMs (Large Language Models) in Agents</strong></p> <ul><li>How LLMs serve as the “brain” behind an Agent.</li> <li>How LLMs structure conversations via the Messages system.</li></ul></li> <li><p><strong>Tools and Actions</strong></p> <ul><li>How Agents use external tools to interact with the environment.</li> <li>How to build and integrate tools for your Agent.</li></ul></li> <li><p><strong>The Agent Workflow:</strong></p> <ul><li><em>Think</em> → <em>Act</em> → <em>Observe</em>.</li></ul></li>",j,d,st="After exploring these topics, <strong>you’ll build your first Agent</strong> using <code>smolagents</code>!",S,h,ot="Your Agent, named Alfred, will handle a simple task and demonstrate how to apply these concepts in practice.",z,v,at="You’ll even learn how to <strong>publish your Agent on Hugging Face Spaces</strong>, so you can share it with friends and colleagues.",F,w,rt="Finally, at the end of this Unit, you’ll take a quiz. Pass it, and you’ll <strong>earn your first course certification</strong>: the 🎓 Certificate of Fundamentals of Agents.",G,_,ut,W,M,mt="This Unit is your <strong>essential starting point</strong>, laying the groundwork for understanding Agents before you move on to more advanced topics.",R,y,pt,Y,L,gt="It’s a big Unit, so do <strong>take your time</strong> and don’t hesitate to come back to these sections from time to time.",D,O,V,x,ct="We’ll have a <strong>live Q&amp;A this Wednesday, February 12th at 5PM CET</strong>, where we <strong>will explain how the course works</strong> (scope, units, challenges and more), and we’ll be happy to <strong>answer your questions</strong>.",N,H,ft='👉 <a href="https://www.youtube.com/live/iLVyYDbdSmM" rel="nofollow">https://www.youtube.com/live/iLVyYDbdSmM</a>',Q,T,dt="👉 Don’t forget <strong>to click “Notify me”</strong> so you don’t miss it!",B,b,ht,J,A,vt="Ready? Let’s dive in! 🚀",K,C,X,$,Z;return p=new Et({props:{title:"Introduction to Agents",local:"introduction-to-agents",headingTag:"h1"}}),C=new It({props:{source:"https://github.com/huggingface/agents-course/blob/main/units/en/unit1/introduction.mdx"}}),{c(){m=o("meta"),k=l(),P=o("p"),E=l(),wt(p.$$.fragment),I=l(),g=o("img"),q=l(),c=o("p"),c.innerHTML=it,U=l(),f=o("ul"),f.innerHTML=lt,j=l(),d=o("p"),d.innerHTML=st,S=l(),h=o("p"),h.textContent=ot,z=l(),v=o("p"),v.innerHTML=at,F=l(),w=o("p"),w.innerHTML=rt,G=l(),_=o("img"),W=l(),M=o("p"),M.innerHTML=mt,R=l(),y=o("img"),Y=l(),L=o("p"),L.innerHTML=gt,D=l(),O=o("hr"),V=l(),x=o("p"),x.innerHTML=ct,N=l(),H=o("p"),H.innerHTML=ft,Q=l(),T=o("p"),T.innerHTML=dt,B=l(),b=o("img"),J=l(),A=o("p"),A.textContent=vt,K=l(),wt(C.$$.fragment),X=l(),$=o("p"),this.h()},l(t){const e=$t("svelte-u9bgzb",document.head);m=a(e,"META",{name:!0,content:!0}),e.forEach(n),k=s(t),P=a(t,"P",{}),_t(P).forEach(n),E=s(t),Mt(p.$$.fragment,t),I=s(t),g=a(t,"IMG",{src:!0,alt:!0}),q=s(t),c=a(t,"P",{"data-svelte-h":!0}),r(c)!=="svelte-wkib5g"&&(c.innerHTML=it),U=s(t),f=a(t,"UL",{"data-svelte-h":!0}),r(f)!=="svelte-1azxix2"&&(f.innerHTML=lt),j=s(t),d=a(t,"P",{"data-svelte-h":!0}),r(d)!=="svelte-1p0xvef"&&(d.innerHTML=st),S=s(t),h=a(t,"P",{"data-svelte-h":!0}),r(h)!=="svelte-ezryxl"&&(h.textContent=ot),z=s(t),v=a(t,"P",{"data-svelte-h":!0}),r(v)!=="svelte-lvpe36"&&(v.innerHTML=at),F=s(t),w=a(t,"P",{"data-svelte-h":!0}),r(w)!=="svelte-gq35aj"&&(w.innerHTML=rt),G=s(t),_=a(t,"IMG",{src:!0,alt:!0}),W=s(t),M=a(t,"P",{"data-svelte-h":!0}),r(M)!=="svelte-qlnt3o"&&(M.innerHTML=mt),R=s(t),y=a(t,"IMG",{src:!0,alt:!0}),Y=s(t),L=a(t,"P",{"data-svelte-h":!0}),r(L)!=="svelte-d77844"&&(L.innerHTML=gt),D=s(t),O=a(t,"HR",{}),V=s(t),x=a(t,"P",{"data-svelte-h":!0}),r(x)!=="svelte-rwvsr5"&&(x.innerHTML=ct),N=s(t),H=a(t,"P",{"data-svelte-h":!0}),r(H)!=="svelte-z8qefr"&&(H.innerHTML=ft),Q=s(t),T=a(t,"P",{"data-svelte-h":!0}),r(T)!=="svelte-170842"&&(T.innerHTML=dt),B=s(t),b=a(t,"IMG",{src:!0,alt:!0}),J=s(t),A=a(t,"P",{"data-svelte-h":!0}),r(A)!=="svelte-1edxyhw"&&(A.textContent=vt),K=s(t),Mt(C.$$.fragment,t),X=s(t),$=a(t,"P",{}),_t($).forEach(n),this.h()},h(){u(m,"name","hf:doc:metadata"),u(m,"content",Ut),tt(g.src,nt="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/thumbnail.jpg")||u(g,"src",nt),u(g,"alt","Thumbnail"),tt(_.src,ut="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/certificate-example.jpg")||u(_,"src",ut),u(_,"alt","Certificate Example"),tt(y.src,pt="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/whiteboard-no-check.jpg")||u(y,"src",pt),u(y,"alt","Unit 1 planning"),tt(b.src,ht="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/communication/live1.jpg")||u(b,"src",ht),u(b,"alt","First live thumbnail")},m(t,e){kt(document.head,m),i(t,k,e),i(t,P,e),i(t,E,e),yt(p,t,e),i(t,I,e),i(t,g,e),i(t,q,e),i(t,c,e),i(t,U,e),i(t,f,e),i(t,j,e),i(t,d,e),i(t,S,e),i(t,h,e),i(t,z,e),i(t,v,e),i(t,F,e),i(t,w,e),i(t,G,e),i(t,_,e),i(t,W,e),i(t,M,e),i(t,R,e),i(t,y,e),i(t,Y,e),i(t,L,e),i(t,D,e),i(t,O,e),i(t,V,e),i(t,x,e),i(t,N,e),i(t,H,e),i(t,Q,e),i(t,T,e),i(t,B,e),i(t,b,e),i(t,J,e),i(t,A,e),i(t,K,e),yt(C,t,e),i(t,X,e),i(t,$,e),Z=!0},p:bt,i(t){Z||(Lt(p.$$.fragment,t),Lt(C.$$.fragment,t),Z=!0)},o(t){xt(p.$$.fragment,t),xt(C.$$.fragment,t),Z=!1},d(t){t&&(n(k),n(P),n(E),n(I),n(g),n(q),n(c),n(U),n(f),n(j),n(d),n(S),n(h),n(z),n(v),n(F),n(w),n(G),n(_),n(W),n(M),n(R),n(y),n(Y),n(L),n(D),n(O),n(V),n(x),n(N),n(H),n(Q),n(T),n(B),n(b),n(J),n(A),n(K),n(X),n($)),n(m),Ht(p,t),Ht(C,t)}}}const Ut='{"title":"Introduction to Agents","local":"introduction-to-agents","sections":[],"depth":1}';function jt(et){return At(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Wt extends Ct{constructor(m){super(),Pt(this,m,jt,qt,Tt,{})}}export{Wt as component};
