import{s as ai,f as qe,n as ri,o as ui}from"../chunks/scheduler.f6b352c8.js";import{S as gi,i as fi,g as o,s as l,r as g,A as mi,h as a,f as n,c as s,j as oi,u as f,x as r,k as u,y as hi,a as i,v as m,d as h,t as p,w as c}from"../chunks/index.7f38e934.js";import{H as d}from"../chunks/Heading.333929c4.js";import{E as pi}from"../chunks/EditOnGithub.c3245a01.js";function ci(sn){let w,Ue,We,Ee,x,ze,L,on='<img src="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/thumbnail.jpg" alt="AI Agents Course thumbnail" width="100%"/> <figcaption>The background of the image was generated using <a href="https://scenario.com/">Scenario.com</a></figcaption>',Be,C,an="Welcome to the most exciting topic in AI today: <strong>Agents</strong>!",De,H,rn="This free course will take you on a journey, <strong>from beginner to expert</strong>, in understanding, using and building AI agents.",Ge,M,un="This first unit will help you onboard:",Je,_,gn="<li>Discover the <strong>course’s syllabus</strong>.</li> <li><strong>Choose the path</strong> you’re going to take (either self-audit or certification process).</li> <li><strong>Get more information about the certification process and the deadlines</strong>.</li> <li>Get to know the team behind the course.</li> <li>Create your <strong>Hugging Face account</strong>.</li> <li><strong>Sign-up to our Discord server</strong>, and meet your classmates and us.</li>",Re,k,fn="Let’s get started!",Oe,P,mn="We organize a <strong>live Q&amp;A this Wednesday, February the 12th at 5PM CET</strong>. Where we <strong>will explain how the course will work</strong> (scope, units, challenges and more) and <strong>answer your questions</strong>.",Ye,A,hn='👉 <a href="https://www.youtube.com/live/iLVyYDbdSmM" rel="nofollow">https://www.youtube.com/live/iLVyYDbdSmM</a>',Ne,I,pn="👉 Don’t forget <strong>to click to Notify me</strong>, to not miss the live.",Xe,j,cn,Ve,F,Qe,q,dn="In this course, you will:",Ke,W,wn='<li>📖 Study AI Agents in <strong>theory, design, and practice.</strong></li> <li>🧑‍💻 Learn to <strong>use established AI Agent libraries</strong> such as <a href="https://huggingface.co/docs/smolagents/en/index" rel="nofollow">smolagents</a>, <a href="https://www.langchain.com/" rel="nofollow">LangChain</a>, and <a href="https://www.llamaindex.ai/" rel="nofollow">LlamaIndex</a>.</li> <li>💾 <strong>Share your agents</strong> on the Hugging Face Hub and explore agents created by the community.</li> <li>🏆 Participate in challenges where you will <strong>evaluate your agents against other students’.</strong></li> <li>🎓 <strong>Earn a certificate of completion</strong> by completing assignments.</li>',Ze,S,vn="And more!",et,U,$n="At the end of this course you’ll understand <strong>how Agents work and how to build your own Agents using the latest libraries and tools</strong>.",tt,E,yn='Don’t forget to <strong><a href="https://bit.ly/hf-learn-agents">sign up to the course!</a></strong>',nt,z,Tn="(We are respectful of your privacy. We collect your email address to be able to <strong>send you the links when each Unit is published and give you information about the challenges and updates).</strong>",it,B,lt,D,bn="The course is composed of:",st,G,xn='<li><em>Foundational Units</em>: where you learn Agents <strong>concepts in theory</strong>.</li> <li><em>Hands-on</em>: where you’ll learn <strong>to use established AI Agent libraries</strong> to train your agents in unique environments. These hands-on sections will be <strong>Hugging Face Spaces</strong> with a pre-configured environment.</li> <li><em>Use case assignments</em>: where you’ll apply the concepts you’ve learned to solve a real-world problem that you’ll choose.</li> <li><em>The Challenge</em>: you’ll get to put your agent to compete against other agents in a challenge. There will also be <a href="https://huggingface.co/spaces/huggingface-projects/AI-Agents-Leaderboard" rel="nofollow">a leaderboard</a> (not available yet) for you to compare the agents’ performance.</li>',ot,J,Ln='This <strong>course is a living project, evolving with your feedback and contributions!</strong> Feel free to <a href="https://github.com/huggingface/agents-course" rel="nofollow">open issues and PRs in GitHub</a>, and engage in discussions in our Discord server.',at,R,Cn='After you have gone through the course, you can also send your feedback  <a href="https://docs.google.com/forms/d/e/1FAIpQLSe9VaONn0eglax0uTwi29rIn4tM7H2sYmmybmG5jJNlE5v0xA/viewform?usp=dialog" rel="nofollow">👉 using this form</a>',rt,O,ut,Y,Hn="Here is the <strong>general syllabus for the course</strong>. A more detailed list of topics will be released with each unit.",gt,N,Mn='<thead><tr><th align="left">Chapter</th> <th align="left">Topic</th> <th align="left">Description</th></tr></thead> <tbody><tr><td align="left">0</td> <td align="left">Onboarding</td> <td align="left">Set you up with the tools and platforms that you will use.</td></tr> <tr><td align="left">1</td> <td align="left">Agent Fundamentals</td> <td align="left">Explain Tools, Thoughts, Actions, Observations, and their formats. Explain LLMs, messages, special tokens and chat templates. Show a simple use case using python functions as tools.</td></tr> <tr><td align="left">2</td> <td align="left">Frameworks</td> <td align="left">Understand how the fundamentals are implemented in popular libraries : smolagents, LangGraph, LLamaIndex</td></tr> <tr><td align="left">3</td> <td align="left">Use Cases</td> <td align="left">Let’s build some real life use cases (open to PRs 🤗 from experienced Agent builders)</td></tr> <tr><td align="left">4</td> <td align="left">Final Assignment</td> <td align="left">Build an agent for a selected benchmark and prove your understanding of Agents on the student leaderboard  🚀</td></tr></tbody>',ft,X,_n="<em>We are also planning to release some bonus units, stay tuned!</em>",mt,V,ht,Q,kn="To be able to follow this course you should have a:",pt,K,Pn="<li>Basic knowledge of Python</li> <li>Basic knowledge of LLMs (we have a section in Unit 1 to recap what they are)</li>",ct,Z,dt,ee,An="You only need 2 things:",wt,te,In='<li><em>A computer</em> with an internet connection.</li> <li>A <em>Hugging Face Account</em>: to push and load models, agents, and create Spaces. If you don’t have an account yet, you can create one <strong><a href="https://hf.co/join" rel="nofollow">here</a></strong> (it’s free).<img src="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/tools.jpg" alt="Course tools needed" width="100%"/></li>',vt,ne,$t,v,jn,yt,ie,Fn="You can choose to follow this course <em>in audit mode</em>, or do the activities and <em>get one of the two certificates we’ll issue</em>.",Tt,le,qn="If you audit the course, you can participate in all the challenges and do assignments if you want, and <strong>you don’t need to notify us</strong>.",bt,se,Wn="The certification process is <strong>completely free</strong>:",xt,oe,Sn="<li><em>To get a certification for fundamentals</em>: you need to complete Unit 1 of the course. This is intended for students that want to get up to date with the latest trends in Agents.</li> <li><em>To get a certificate of completion</em>: you need to complete Unit 1, one of the use case assignments we’ll propose during the course, and the final challenge.</li>",Lt,ae,Un="There’s a deadline for the certification process: all the assignments must be finished before <strong>May 1st 2025</strong>.",Ct,$,En,Ht,re,Mt,ue,zn="Each chapter in this course is designed <strong>to be completed in 1 week, with approximately 3-4 hours of work per week</strong>.",_t,ge,Bn="Since there’s a deadline, we provide you a recommended pace:",kt,y,Dn,Pt,fe,At,me,Gn="To get the most out of the course, we have some advice:",It,he,Jn='<li><a href="https://discord.gg/UrrTSsSyjb">Join study groups in Discord</a>: studying in groups is always easier. To do that, you need to join our discord server and verify your Hugging Face account.</li> <li><strong>Do the quizzes and assignments</strong>: the best way to learn is through hands-on practice and self-assessment..</li> <li><strong>Define a schedule to stay in sync</strong>: you can use our recommended pace schedule below or create yours.</li>',jt,T,Rn,Ft,pe,qt,ce,On="About the authors:",Wt,de,St,we,Yn="Joffrey is a machine learning engineer at Hugging Face and has built and deployed AI Agents in production. Joffrey will be your main instructor for this course.",Ut,ve,Nn='<li><a href="https://huggingface.co/Jofthomas" rel="nofollow">Follow Joffrey on Hugging Face</a></li> <li><a href="https://x.com/Jthmas404" rel="nofollow">Follow Joffrey on X</a></li> <li><a href="https://www.linkedin.com/in/joffrey-thomas/" rel="nofollow">Follow Joffrey on Linkedin</a></li>',Et,$e,zt,ye,Xn="Ben is a machine learning engineer at Hugging Face and has delivered multiple courses across various platforms. Ben’s goal is to make the course accessible to everyone.",Bt,Te,Vn='<li><a href="https://huggingface.co/burtenshaw" rel="nofollow">Follow Ben on Hugging Face</a></li> <li><a href="https://x.com/ben_burtenshaw" rel="nofollow">Follow Ben on X</a></li> <li><a href="https://www.linkedin.com/in/ben-burtenshaw/" rel="nofollow">Follow Ben on Linkedin</a></li>',Dt,be,Gt,xe,Qn='Thomas is a machine learning engineer at Hugging Face and delivered the successful <a href="https://huggingface.co/learn/deep-rl-course/unit0/introduction">Deep RL</a> and <a href="https://huggingface.co/learn/ml-games-course/en/unit0/introduction">ML for games</a> courses. Thomas is a big fan of Agents and is excited to see what the community will build.',Jt,Le,Kn='<li><a href="https://huggingface.co/ThomasSimonini" rel="nofollow">Follow Thomas on Hugging Face</a></li> <li><a href="https://x.com/ThomasSimonini" rel="nofollow">Follow Thomas on X</a></li> <li><a href="https://www.linkedin.com/in/simoninithomas/" rel="nofollow">Follow Thomas on Linkedin</a></li>',Rt,Ce,Ot,He,Zn="We would like to extend our gratitude to the following individuals for their invaluable contributions to this course:",Yt,Me,ei='<li><strong><a href="https://huggingface.co/pcuenq" rel="nofollow">Pedro Cuenca</a></strong> – For his guidance and expertise in reviewing the materials</li> <li><strong><a href="https://huggingface.co/m-ric" rel="nofollow">Aymeric Roucher</a></strong> – For his amazing demo spaces ( decoding and final agent ).</li> <li><strong><a href="https://huggingface.co/Xenova" rel="nofollow">Joshua Lochner</a></strong> – For his amazing demo space on tokenization.</li>',Nt,_e,Xt,ke,ti="Contributions are <strong>welcome</strong> 🤗",Vt,Pe,ni='<li>If you <em>found a bug 🐛 in a notebook</em>, please <a href="https://github.com/huggingface/agents-course/issues">open an issue</a> and <strong>describe the problem</strong>.</li> <li>If you <em>want to improve the course</em>, you can <a href="https://github.com/huggingface/agents-course/pulls">open a Pull Request.</a></li> <li>If you <em>want to add a full section or a new unit</em>, the best is to <a href="https://github.com/huggingface/agents-course/issues">open an issue</a> and <strong>describe what content you want to add before starting to write it so that we can guide you</strong>.</li>',Qt,Ae,Kt,Ie,ii='Please ask your question in our <a href="https://discord.gg/UrrTSsSyjb">discord server #ai-agents-discussions.</a>',Zt,je,li="Now that you have all the information, let’s get on board ⛵",en,b,si,tn,Fe,nn,Se,ln;return x=new d({props:{title:"Welcome to the 🤗 AI Agents Course",local:"introduction",headingTag:"h1"}}),F=new d({props:{title:"What to expect from this course?",local:"expect",headingTag:"h2"}}),B=new d({props:{title:"What does the course look like?",local:"course-look-like",headingTag:"h2"}}),O=new d({props:{title:"What’s the syllabus?",local:"syllabus",headingTag:"h2"}}),V=new d({props:{title:"What are the prerequisites?",local:"what-are-the-prerequisites",headingTag:"h2"}}),Z=new d({props:{title:"What tools do I need?",local:"tools",headingTag:"h2"}}),ne=new d({props:{title:"The Certification Process",local:"certification-process",headingTag:"h2"}}),re=new d({props:{title:"What is the recommended pace?",local:"recommended-pace",headingTag:"h2"}}),fe=new d({props:{title:"How to get the most out of the course?",local:"advice",headingTag:"h2"}}),pe=new d({props:{title:"Who are we",local:"who-are-we",headingTag:"h2"}}),de=new d({props:{title:"Joffrey Thomas",local:"joffrey-thomas",headingTag:"h3"}}),$e=new d({props:{title:"Ben Burtenshaw",local:"ben-burtenshaw",headingTag:"h3"}}),be=new d({props:{title:"Thomas Simonini",local:"thomas-simonini",headingTag:"h3"}}),Ce=new d({props:{title:"Acknowledgments",local:"acknowledgments",headingTag:"h2"}}),_e=new d({props:{title:"I found a bug, or I want to improve the course",local:"contribute",headingTag:"h2"}}),Ae=new d({props:{title:"I still have questions",local:"questions",headingTag:"h2"}}),Fe=new pi({props:{source:"https://github.com/huggingface/agents-course/blob/main/units/en/unit0/introduction.mdx"}}),{c(){w=o("meta"),Ue=l(),We=o("p"),Ee=l(),g(x.$$.fragment),ze=l(),L=o("figure"),L.innerHTML=on,Be=l(),C=o("p"),C.innerHTML=an,De=l(),H=o("p"),H.innerHTML=rn,Ge=l(),M=o("p"),M.textContent=un,Je=l(),_=o("ul"),_.innerHTML=gn,Re=l(),k=o("p"),k.textContent=fn,Oe=l(),P=o("p"),P.innerHTML=mn,Ye=l(),A=o("p"),A.innerHTML=hn,Ne=l(),I=o("p"),I.innerHTML=pn,Xe=l(),j=o("img"),Ve=l(),g(F.$$.fragment),Qe=l(),q=o("p"),q.textContent=dn,Ke=l(),W=o("ul"),W.innerHTML=wn,Ze=l(),S=o("p"),S.textContent=vn,et=l(),U=o("p"),U.innerHTML=$n,tt=l(),E=o("p"),E.innerHTML=yn,nt=l(),z=o("p"),z.innerHTML=Tn,it=l(),g(B.$$.fragment),lt=l(),D=o("p"),D.textContent=bn,st=l(),G=o("ul"),G.innerHTML=xn,ot=l(),J=o("p"),J.innerHTML=Ln,at=l(),R=o("p"),R.innerHTML=Cn,rt=l(),g(O.$$.fragment),ut=l(),Y=o("p"),Y.innerHTML=Hn,gt=l(),N=o("table"),N.innerHTML=Mn,ft=l(),X=o("p"),X.innerHTML=_n,mt=l(),g(V.$$.fragment),ht=l(),Q=o("p"),Q.textContent=kn,pt=l(),K=o("ul"),K.innerHTML=Pn,ct=l(),g(Z.$$.fragment),dt=l(),ee=o("p"),ee.textContent=An,wt=l(),te=o("ul"),te.innerHTML=In,vt=l(),g(ne.$$.fragment),$t=l(),v=o("img"),yt=l(),ie=o("p"),ie.innerHTML=Fn,Tt=l(),le=o("p"),le.innerHTML=qn,bt=l(),se=o("p"),se.innerHTML=Wn,xt=l(),oe=o("ul"),oe.innerHTML=Sn,Lt=l(),ae=o("p"),ae.innerHTML=Un,Ct=l(),$=o("img"),Ht=l(),g(re.$$.fragment),Mt=l(),ue=o("p"),ue.innerHTML=zn,_t=l(),ge=o("p"),ge.textContent=Bn,kt=l(),y=o("img"),Pt=l(),g(fe.$$.fragment),At=l(),me=o("p"),me.textContent=Gn,It=l(),he=o("ol"),he.innerHTML=Jn,jt=l(),T=o("img"),Ft=l(),g(pe.$$.fragment),qt=l(),ce=o("p"),ce.textContent=On,Wt=l(),g(de.$$.fragment),St=l(),we=o("p"),we.textContent=Yn,Ut=l(),ve=o("ul"),ve.innerHTML=Nn,Et=l(),g($e.$$.fragment),zt=l(),ye=o("p"),ye.textContent=Xn,Bt=l(),Te=o("ul"),Te.innerHTML=Vn,Dt=l(),g(be.$$.fragment),Gt=l(),xe=o("p"),xe.innerHTML=Qn,Jt=l(),Le=o("ul"),Le.innerHTML=Kn,Rt=l(),g(Ce.$$.fragment),Ot=l(),He=o("p"),He.textContent=Zn,Yt=l(),Me=o("ul"),Me.innerHTML=ei,Nt=l(),g(_e.$$.fragment),Xt=l(),ke=o("p"),ke.innerHTML=ti,Vt=l(),Pe=o("ul"),Pe.innerHTML=ni,Qt=l(),g(Ae.$$.fragment),Kt=l(),Ie=o("p"),Ie.innerHTML=ii,Zt=l(),je=o("p"),je.textContent=li,en=l(),b=o("img"),tn=l(),g(Fe.$$.fragment),nn=l(),Se=o("p"),this.h()},l(e){const t=mi("svelte-u9bgzb",document.head);w=a(t,"META",{name:!0,content:!0}),t.forEach(n),Ue=s(e),We=a(e,"P",{}),oi(We).forEach(n),Ee=s(e),f(x.$$.fragment,e),ze=s(e),L=a(e,"FIGURE",{"data-svelte-h":!0}),r(L)!=="svelte-1e9iu5f"&&(L.innerHTML=on),Be=s(e),C=a(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-17pu5cl"&&(C.innerHTML=an),De=s(e),H=a(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-dvnpj7"&&(H.innerHTML=rn),Ge=s(e),M=a(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-1csi7fx"&&(M.textContent=un),Je=s(e),_=a(e,"UL",{"data-svelte-h":!0}),r(_)!=="svelte-ixjw75"&&(_.innerHTML=gn),Re=s(e),k=a(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-4b3xjd"&&(k.textContent=fn),Oe=s(e),P=a(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-16628wc"&&(P.innerHTML=mn),Ye=s(e),A=a(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-z8qefr"&&(A.innerHTML=hn),Ne=s(e),I=a(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-131kcxi"&&(I.innerHTML=pn),Xe=s(e),j=a(e,"IMG",{src:!0,alt:!0}),Ve=s(e),f(F.$$.fragment,e),Qe=s(e),q=a(e,"P",{"data-svelte-h":!0}),r(q)!=="svelte-f2qxb3"&&(q.textContent=dn),Ke=s(e),W=a(e,"UL",{"data-svelte-h":!0}),r(W)!=="svelte-dt96yw"&&(W.innerHTML=wn),Ze=s(e),S=a(e,"P",{"data-svelte-h":!0}),r(S)!=="svelte-t67g99"&&(S.textContent=vn),et=s(e),U=a(e,"P",{"data-svelte-h":!0}),r(U)!=="svelte-rxvjyt"&&(U.innerHTML=$n),tt=s(e),E=a(e,"P",{"data-svelte-h":!0}),r(E)!=="svelte-5ioa44"&&(E.innerHTML=yn),nt=s(e),z=a(e,"P",{"data-svelte-h":!0}),r(z)!=="svelte-z7umi9"&&(z.innerHTML=Tn),it=s(e),f(B.$$.fragment,e),lt=s(e),D=a(e,"P",{"data-svelte-h":!0}),r(D)!=="svelte-1ee6w8b"&&(D.textContent=bn),st=s(e),G=a(e,"UL",{"data-svelte-h":!0}),r(G)!=="svelte-1r4t4vj"&&(G.innerHTML=xn),ot=s(e),J=a(e,"P",{"data-svelte-h":!0}),r(J)!=="svelte-1bts4d3"&&(J.innerHTML=Ln),at=s(e),R=a(e,"P",{"data-svelte-h":!0}),r(R)!=="svelte-16fokxm"&&(R.innerHTML=Cn),rt=s(e),f(O.$$.fragment,e),ut=s(e),Y=a(e,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-qhjxsa"&&(Y.innerHTML=Hn),gt=s(e),N=a(e,"TABLE",{"data-svelte-h":!0}),r(N)!=="svelte-9zzark"&&(N.innerHTML=Mn),ft=s(e),X=a(e,"P",{"data-svelte-h":!0}),r(X)!=="svelte-1aqi5y9"&&(X.innerHTML=_n),mt=s(e),f(V.$$.fragment,e),ht=s(e),Q=a(e,"P",{"data-svelte-h":!0}),r(Q)!=="svelte-kqo70s"&&(Q.textContent=kn),pt=s(e),K=a(e,"UL",{"data-svelte-h":!0}),r(K)!=="svelte-1o8em9l"&&(K.innerHTML=Pn),ct=s(e),f(Z.$$.fragment,e),dt=s(e),ee=a(e,"P",{"data-svelte-h":!0}),r(ee)!=="svelte-17wttjy"&&(ee.textContent=An),wt=s(e),te=a(e,"UL",{"data-svelte-h":!0}),r(te)!=="svelte-l2nc5g"&&(te.innerHTML=In),vt=s(e),f(ne.$$.fragment,e),$t=s(e),v=a(e,"IMG",{src:!0,alt:!0,width:!0}),yt=s(e),ie=a(e,"P",{"data-svelte-h":!0}),r(ie)!=="svelte-knl2ed"&&(ie.innerHTML=Fn),Tt=s(e),le=a(e,"P",{"data-svelte-h":!0}),r(le)!=="svelte-1kpr9m4"&&(le.innerHTML=qn),bt=s(e),se=a(e,"P",{"data-svelte-h":!0}),r(se)!=="svelte-1ybbpoz"&&(se.innerHTML=Wn),xt=s(e),oe=a(e,"UL",{"data-svelte-h":!0}),r(oe)!=="svelte-1mkaw8h"&&(oe.innerHTML=Sn),Lt=s(e),ae=a(e,"P",{"data-svelte-h":!0}),r(ae)!=="svelte-1roe7pg"&&(ae.innerHTML=Un),Ct=s(e),$=a(e,"IMG",{src:!0,alt:!0,width:!0}),Ht=s(e),f(re.$$.fragment,e),Mt=s(e),ue=a(e,"P",{"data-svelte-h":!0}),r(ue)!=="svelte-16x0fhq"&&(ue.innerHTML=zn),_t=s(e),ge=a(e,"P",{"data-svelte-h":!0}),r(ge)!=="svelte-1emjga4"&&(ge.textContent=Bn),kt=s(e),y=a(e,"IMG",{src:!0,alt:!0,width:!0}),Pt=s(e),f(fe.$$.fragment,e),At=s(e),me=a(e,"P",{"data-svelte-h":!0}),r(me)!=="svelte-822ilm"&&(me.textContent=Gn),It=s(e),he=a(e,"OL",{"data-svelte-h":!0}),r(he)!=="svelte-1h04lcm"&&(he.innerHTML=Jn),jt=s(e),T=a(e,"IMG",{src:!0,alt:!0,width:!0}),Ft=s(e),f(pe.$$.fragment,e),qt=s(e),ce=a(e,"P",{"data-svelte-h":!0}),r(ce)!=="svelte-1qyo5w8"&&(ce.textContent=On),Wt=s(e),f(de.$$.fragment,e),St=s(e),we=a(e,"P",{"data-svelte-h":!0}),r(we)!=="svelte-jk5ik2"&&(we.textContent=Yn),Ut=s(e),ve=a(e,"UL",{"data-svelte-h":!0}),r(ve)!=="svelte-wu2u0z"&&(ve.innerHTML=Nn),Et=s(e),f($e.$$.fragment,e),zt=s(e),ye=a(e,"P",{"data-svelte-h":!0}),r(ye)!=="svelte-yjqhaj"&&(ye.textContent=Xn),Bt=s(e),Te=a(e,"UL",{"data-svelte-h":!0}),r(Te)!=="svelte-1vlxpb2"&&(Te.innerHTML=Vn),Dt=s(e),f(be.$$.fragment,e),Gt=s(e),xe=a(e,"P",{"data-svelte-h":!0}),r(xe)!=="svelte-10mjr36"&&(xe.innerHTML=Qn),Jt=s(e),Le=a(e,"UL",{"data-svelte-h":!0}),r(Le)!=="svelte-pmrlrk"&&(Le.innerHTML=Kn),Rt=s(e),f(Ce.$$.fragment,e),Ot=s(e),He=a(e,"P",{"data-svelte-h":!0}),r(He)!=="svelte-1g13y94"&&(He.textContent=Zn),Yt=s(e),Me=a(e,"UL",{"data-svelte-h":!0}),r(Me)!=="svelte-5kctyl"&&(Me.innerHTML=ei),Nt=s(e),f(_e.$$.fragment,e),Xt=s(e),ke=a(e,"P",{"data-svelte-h":!0}),r(ke)!=="svelte-nxego7"&&(ke.innerHTML=ti),Vt=s(e),Pe=a(e,"UL",{"data-svelte-h":!0}),r(Pe)!=="svelte-1lujafl"&&(Pe.innerHTML=ni),Qt=s(e),f(Ae.$$.fragment,e),Kt=s(e),Ie=a(e,"P",{"data-svelte-h":!0}),r(Ie)!=="svelte-1qqh474"&&(Ie.innerHTML=ii),Zt=s(e),je=a(e,"P",{"data-svelte-h":!0}),r(je)!=="svelte-gbc6aj"&&(je.textContent=li),en=s(e),b=a(e,"IMG",{src:!0,alt:!0,width:!0}),tn=s(e),f(Fe.$$.fragment,e),nn=s(e),Se=a(e,"P",{}),oi(Se).forEach(n),this.h()},h(){u(w,"name","hf:doc:metadata"),u(w,"content",di),qe(j.src,cn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/communication/live1.jpg")||u(j,"src",cn),u(j,"alt","First live thumbnail"),qe(v.src,jn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/three-paths.jpg")||u(v,"src",jn),u(v,"alt","Two paths"),u(v,"width","100%"),qe($.src,En="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/deadline.jpg")||u($,"src",En),u($,"alt","Deadline"),u($,"width","100%"),qe(y.src,Dn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/recommended-pace.jpg")||u(y,"src",Dn),u(y,"alt","Recommended Pace"),u(y,"width","100%"),qe(T.src,Rn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/advice.jpg")||u(T,"src",Rn),u(T,"alt","Course advice"),u(T,"width","100%"),qe(b.src,si="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/time-to-onboard.jpg")||u(b,"src",si),u(b,"alt","Time to Onboard"),u(b,"width","100%")},m(e,t){hi(document.head,w),i(e,Ue,t),i(e,We,t),i(e,Ee,t),m(x,e,t),i(e,ze,t),i(e,L,t),i(e,Be,t),i(e,C,t),i(e,De,t),i(e,H,t),i(e,Ge,t),i(e,M,t),i(e,Je,t),i(e,_,t),i(e,Re,t),i(e,k,t),i(e,Oe,t),i(e,P,t),i(e,Ye,t),i(e,A,t),i(e,Ne,t),i(e,I,t),i(e,Xe,t),i(e,j,t),i(e,Ve,t),m(F,e,t),i(e,Qe,t),i(e,q,t),i(e,Ke,t),i(e,W,t),i(e,Ze,t),i(e,S,t),i(e,et,t),i(e,U,t),i(e,tt,t),i(e,E,t),i(e,nt,t),i(e,z,t),i(e,it,t),m(B,e,t),i(e,lt,t),i(e,D,t),i(e,st,t),i(e,G,t),i(e,ot,t),i(e,J,t),i(e,at,t),i(e,R,t),i(e,rt,t),m(O,e,t),i(e,ut,t),i(e,Y,t),i(e,gt,t),i(e,N,t),i(e,ft,t),i(e,X,t),i(e,mt,t),m(V,e,t),i(e,ht,t),i(e,Q,t),i(e,pt,t),i(e,K,t),i(e,ct,t),m(Z,e,t),i(e,dt,t),i(e,ee,t),i(e,wt,t),i(e,te,t),i(e,vt,t),m(ne,e,t),i(e,$t,t),i(e,v,t),i(e,yt,t),i(e,ie,t),i(e,Tt,t),i(e,le,t),i(e,bt,t),i(e,se,t),i(e,xt,t),i(e,oe,t),i(e,Lt,t),i(e,ae,t),i(e,Ct,t),i(e,$,t),i(e,Ht,t),m(re,e,t),i(e,Mt,t),i(e,ue,t),i(e,_t,t),i(e,ge,t),i(e,kt,t),i(e,y,t),i(e,Pt,t),m(fe,e,t),i(e,At,t),i(e,me,t),i(e,It,t),i(e,he,t),i(e,jt,t),i(e,T,t),i(e,Ft,t),m(pe,e,t),i(e,qt,t),i(e,ce,t),i(e,Wt,t),m(de,e,t),i(e,St,t),i(e,we,t),i(e,Ut,t),i(e,ve,t),i(e,Et,t),m($e,e,t),i(e,zt,t),i(e,ye,t),i(e,Bt,t),i(e,Te,t),i(e,Dt,t),m(be,e,t),i(e,Gt,t),i(e,xe,t),i(e,Jt,t),i(e,Le,t),i(e,Rt,t),m(Ce,e,t),i(e,Ot,t),i(e,He,t),i(e,Yt,t),i(e,Me,t),i(e,Nt,t),m(_e,e,t),i(e,Xt,t),i(e,ke,t),i(e,Vt,t),i(e,Pe,t),i(e,Qt,t),m(Ae,e,t),i(e,Kt,t),i(e,Ie,t),i(e,Zt,t),i(e,je,t),i(e,en,t),i(e,b,t),i(e,tn,t),m(Fe,e,t),i(e,nn,t),i(e,Se,t),ln=!0},p:ri,i(e){ln||(h(x.$$.fragment,e),h(F.$$.fragment,e),h(B.$$.fragment,e),h(O.$$.fragment,e),h(V.$$.fragment,e),h(Z.$$.fragment,e),h(ne.$$.fragment,e),h(re.$$.fragment,e),h(fe.$$.fragment,e),h(pe.$$.fragment,e),h(de.$$.fragment,e),h($e.$$.fragment,e),h(be.$$.fragment,e),h(Ce.$$.fragment,e),h(_e.$$.fragment,e),h(Ae.$$.fragment,e),h(Fe.$$.fragment,e),ln=!0)},o(e){p(x.$$.fragment,e),p(F.$$.fragment,e),p(B.$$.fragment,e),p(O.$$.fragment,e),p(V.$$.fragment,e),p(Z.$$.fragment,e),p(ne.$$.fragment,e),p(re.$$.fragment,e),p(fe.$$.fragment,e),p(pe.$$.fragment,e),p(de.$$.fragment,e),p($e.$$.fragment,e),p(be.$$.fragment,e),p(Ce.$$.fragment,e),p(_e.$$.fragment,e),p(Ae.$$.fragment,e),p(Fe.$$.fragment,e),ln=!1},d(e){e&&(n(Ue),n(We),n(Ee),n(ze),n(L),n(Be),n(C),n(De),n(H),n(Ge),n(M),n(Je),n(_),n(Re),n(k),n(Oe),n(P),n(Ye),n(A),n(Ne),n(I),n(Xe),n(j),n(Ve),n(Qe),n(q),n(Ke),n(W),n(Ze),n(S),n(et),n(U),n(tt),n(E),n(nt),n(z),n(it),n(lt),n(D),n(st),n(G),n(ot),n(J),n(at),n(R),n(rt),n(ut),n(Y),n(gt),n(N),n(ft),n(X),n(mt),n(ht),n(Q),n(pt),n(K),n(ct),n(dt),n(ee),n(wt),n(te),n(vt),n($t),n(v),n(yt),n(ie),n(Tt),n(le),n(bt),n(se),n(xt),n(oe),n(Lt),n(ae),n(Ct),n($),n(Ht),n(Mt),n(ue),n(_t),n(ge),n(kt),n(y),n(Pt),n(At),n(me),n(It),n(he),n(jt),n(T),n(Ft),n(qt),n(ce),n(Wt),n(St),n(we),n(Ut),n(ve),n(Et),n(zt),n(ye),n(Bt),n(Te),n(Dt),n(Gt),n(xe),n(Jt),n(Le),n(Rt),n(Ot),n(He),n(Yt),n(Me),n(Nt),n(Xt),n(ke),n(Vt),n(Pe),n(Qt),n(Kt),n(Ie),n(Zt),n(je),n(en),n(b),n(tn),n(nn),n(Se)),n(w),c(x,e),c(F,e),c(B,e),c(O,e),c(V,e),c(Z,e),c(ne,e),c(re,e),c(fe,e),c(pe,e),c(de,e),c($e,e),c(be,e),c(Ce,e),c(_e,e),c(Ae,e),c(Fe,e)}}}const di='{"title":"Welcome to the 🤗 AI Agents Course","local":"introduction","sections":[{"title":"What to expect from this course?","local":"expect","sections":[],"depth":2},{"title":"What does the course look like?","local":"course-look-like","sections":[],"depth":2},{"title":"What’s the syllabus?","local":"syllabus","sections":[],"depth":2},{"title":"What are the prerequisites?","local":"what-are-the-prerequisites","sections":[],"depth":2},{"title":"What tools do I need?","local":"tools","sections":[],"depth":2},{"title":"The Certification Process","local":"certification-process","sections":[],"depth":2},{"title":"What is the recommended pace?","local":"recommended-pace","sections":[],"depth":2},{"title":"How to get the most out of the course?","local":"advice","sections":[],"depth":2},{"title":"Who are we","local":"who-are-we","sections":[{"title":"Joffrey Thomas","local":"joffrey-thomas","sections":[],"depth":3},{"title":"Ben Burtenshaw","local":"ben-burtenshaw","sections":[],"depth":3},{"title":"Thomas Simonini","local":"thomas-simonini","sections":[],"depth":3}],"depth":2},{"title":"Acknowledgments","local":"acknowledgments","sections":[],"depth":2},{"title":"I found a bug, or I want to improve the course","local":"contribute","sections":[],"depth":2},{"title":"I still have questions","local":"questions","sections":[],"depth":2}],"depth":1}';function wi(sn){return ui(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class bi extends gi{constructor(w){super(),fi(this,w,wi,ci,ai,{})}}export{bi as component};
